Name:          xkbcomp
Version:       1.4.3
Release:       1mamba
Summary:       xkbcomp application - compiling XKB keyboard description
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://xorg.freedesktop.org/
Source:        http://xorg.freedesktop.org/releases/individual/app/xkbcomp-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libxkbfile-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The xkbcomp keymap compiler converts a description of an XKB keymap into one of several output formats. 
The most common use for xkbcomp is to create a compiled keymap file (.xkm extension) which can be read directly by XKB-capable X servers or utilities. 
The keymap compiler can also produce C header files or XKB source files. 
The C header files produced by xkbcomp can be included by X servers or  that need a built-in default keymap.

%prep
%setup -q

%build
%configure --disable-static
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#% find_lang %{name} || echo -n >> %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/pkgconfig/xkbcomp.pc
%{_mandir}/man?/*
%doc COPYING ChangeLog README

%changelog
* Tue Apr 21 2020 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic update by autodist

* Thu Jan 07 2016 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic update by autodist

* Wed Nov 26 2014 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Fri Jul 06 2012 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Sat Aug 06 2011 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Tue Mar 01 2011 Tiziana Ferro <tiziana.ferro@email.it> 1.2.1-1mamba
- package created by autospec
